Package org.eclipse.net4j.util.container.delegate

## Class AbstractDelegator.DelegatingIterator

- java.lang.Object
- - org.eclipse.net4j.util.container.delegate.AbstractDelegator.DelegatingIterator

- All Implemented Interfaces:
    `java.util.Iterator<E>`
  Direct Known Subclasses:
    `ContainerList.DelegatingListIterator`
  Enclosing class:
    AbstractDelegator<E>

      public class AbstractDelegator.DelegatingIterator
      extends java.lang.Object
      implements java.util.Iterator<E>

  A delegating `iterator`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected E` | `last` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingIterator​(java.util.Iterator<E> delegate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Iterator<E>` | `getDelegate()` |
    `boolean` | `hasNext()` |
    `E` | `next()` |
    `void` | `remove()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### last

          protected E last

  - ### Constructor Detail

    - #### DelegatingIterator

          public DelegatingIterator​(java.util.Iterator<E> delegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.Iterator<E> getDelegate()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<E>`
      Category
        READ

    - #### next

          public E next()

      Specified by:
        `next` in interface `java.util.Iterator<E>`
      Category
        READ

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<E>`
      Category
        WRITE